Summary:	LZMA file compressor
Summary(pl.UTF-8):	Kompresor plików oparty na algorytmie LZMA
Name:		lzip
Version:	1.15
Release:	1
License:	GPL v3+
Group:		Applications/Archiving
Source0:	http://download.savannah.gnu.org/releases/lzip/%{name}-%{version}.tar.gz
# Source0-md5:	e83a364c8544fc66cccb552369d93220
Patch0:		%{name}-info.patch
URL:		http://savannah.nongnu.org/projects/lzip/
BuildRequires:	libstdc++-devel
BuildRequires:	texinfo
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Lzip is a lossless file compressor based on the LZMA
(Lempel-Ziv-Markov chain-Algorithm) algorithm designed by Igor Pavlov.
The high compression of LZMA comes from combining two basic,
well-proven compression ideas: sliding dictionaries (i.e. LZ77/78),
and Markov models (i.e. the thing used by every compression algorithm
that uses a range encoder or similar order-0 entropy coder as its last
stage) with segregation of contexts according to what the bits are
used for.

%description -l pl.UTF-8
lzip to bezstratny kompresor plików oparty na algorytmie LZMA
(Lempel-Ziv-Markov chain-Algorithm) opracowanym przez Igora Pawłowa.
Wysoki stopień kompresji LZMA wywodzi się z połączenia dwóch
podstawowych, dobrze sprawdzonych idei kompresji: przesuwnych
słowników (LZ77/78) i modeli Markowa (używanych przez każdy algorytm
kompresji wykorzystujący w ostatnim stadium kodowanie zakresów lub
podobne kodowanie entropii rzędu 0) z podziałem kontekstów w
zależności od wykorzystania bitów.

%prep
%setup -q
%patch0 -p1

%build
%configure
%{__make} all info

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install install-man \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/lzip
%{_mandir}/man1/lzip.1*
%{_infodir}/lzip.info*
%changelog
* Sun Nov 24 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/lzip.git;a=log;h=master

* Sun Nov 24 2013 Jakub Bogusz <qboosh@pld-linux.org> 0252414
- updated to 1.15
- updated info patch

* Mon Mar 26 2012 Jakub Bogusz <qboosh@pld-linux.org> c438751
- use complete lzip filename instead of "lz*" saving one character

* Thu Mar 22 2012 blekot <blekot@pld-linux.org> 475efc9
- up to 1.13

* Wed May 04 2011 marti <marti@pld-linux.org> 71f2851
- up to 1.12

* Tue Sep 28 2010 lisu <lisu@pld-linux.org> 481b089
- up to 1.11
- DEVEL merge

* Thu Apr 08 2010 lisu <lisu@pld-linux.org> c6a89b2
- up to 1.10 (merged from DEVEL)
- adapter

* Wed Jan 20 2010 lisu <lisu@pld-linux.org> dbef98d
- 1.9
- TODO removed

* Fri Sep 04 2009 areq <areq@pld-linux.org> b51d23b
- 1.8

* Mon Jun 29 2009 lisu <lisu@pld-linux.org> 6a06622
- 1.7

* Tue Jun 23 2009 lisu <lisu@pld-linux.org> 15e1293
- up to 1.6
- DEVEL merge
- TODO

* Thu Apr 16 2009 lisu <lisu@pld-linux.org> 8b51136
- up to final 1.5
- DEVEL merge

* Wed Jan 28 2009 Jakub Bogusz <qboosh@pld-linux.org> ac225ba
- proper formatting

* Mon Jan 26 2009 areq <areq@pld-linux.org> 2455868
- 1.4

* Thu Dec 25 2008 Jakub Bogusz <qboosh@pld-linux.org> a79d841
- no trailing dot

* Mon Dec 22 2008 lisu <lisu@pld-linux.org> 772e111
- works with 1.3 version

* Mon Dec 22 2008 lisu <lisu@pld-linux.org> 0a4d710
- up to 1.3
- patch updated

* Wed Nov 19 2008 Jakub Bogusz <qboosh@pld-linux.org> 3a1c136
- new

* Wed Nov 19 2008 Jakub Bogusz <qboosh@pld-linux.org> 5decba5
- unify direntry

